/* Catalog */

.wrapper__row {
    display: flex;
    margin: -10px;
}

.wrapper__col {
    padding: 10px;
    flex: 1 1 auto;
}

.wrapper__col.col--narrow {
    flex: 0 0 300px;
}

.fliter__headline {
    display: flex;
    gap: 10px;
    padding: 8px 12px;
    align-items: center;
}

.filter__block__title {
    padding: 8px 12px;
    background-color: var(--bg1-color);
    border-radius: 6px;
}

.filter__block__content {
    padding: 5px 0;
}

.filter__pricerange-boxes {
    display: flex;
    justify-content: space-between;
    gap: 12px;
    padding: 10px 0;
}

.pricerange-box {
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 4px 12px;
    border: 1px solid #545656;
    border-radius: 6px;
    flex: 1 1 auto;
}

.pricerange-box span{
    color: var(--text1-color--semi);
    margin: 0;
}

.pricerange-box input {
    border: none;
    outline: none;
    margin: 0;
    width: 0;
    flex: 1 1 auto;
}

.category-link, .filter-option {
    padding: 0 5px;
}

.category-link span {
    margin: 4px 0;
}

.category-link::before {
    content: '';
    background-color: var(--pri2-color);
    width: 8px;
    height: 8px;
    display: block;
    border-radius: 3px;
	flex: 0 0 8px;
}

.catalog__buttons {
    display: flex;
    justify-content: space-between;
    margin: 24px 0;
}

.catalog__buttons--left, .catalog__buttons__switchview  {
    display: flex;
    gap: 12px;
}

.catalog__buttons--right {
    display: flex;
    gap: 24px;
}

.catalog__grid {
    display: flex;
    flex-wrap: wrap;
}

.catalog__item {
    flex: 0 0 25%;
}

.catalog__item > div {
    height: 100%;
}
